Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601345 - kea-devel - error during upgrade f27->f28
Summary: kea-devel - error during upgrade f27->f28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kea
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 07:21 UTC by Zdenek Dohnal
Modified: 2018-09-07 16:15 UTC (History)
5 users (show)

Fixed In Version: kea-1.3.0-12.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-07 16:15:08 UTC


Attachments (Terms of Use)

Description Zdenek Dohnal 2018-07-16 07:21:14 UTC
Hi,

I have F27 right now and when I was trying to upgrade to f28, I used the command:

$ sudo dnf system-upgrade download --refresh --releasever=28

and following error showed up (among others):

 Problem 7: problem with installed package kea-devel-1.2.0-5.fc27.x86_64
  - package kea-devel-1.3.0-9.fc28.x86_64 requires compat-openssl10-devel, but none of the providers can be installed
  - package kea-devel-1.3.0-8.fc28.x86_64 requires compat-openssl10-devel, but none of the providers can be installed
  - package compat-openssl10-devel-1:1.0.2o-1.fc28.i686 conflicts with openssl-devel provided by openssl-devel-1:1.1.0h-3.fc28.x86_64
  - package compat-openssl10-devel-1:1.0.2o-1.fc28.x86_64 conflicts with openssl-devel provided by openssl-devel-1:1.1.0h-3.fc28.x86_64
  - problem with installed package openssl-devel-1:1.1.0h-3.fc27.x86_64
  - openssl-devel-1:1.1.0h-3.fc27.x86_64 does not belong to a distupgrade repository
  - kea-devel-1.2.0-5.fc27.x86_64 does not belong to a distupgrade repository

Would you mind looking into it?

Comment 1 Fedora Update System 2018-08-28 11:37:58 UTC
kea-1.3.0-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3270d9dbf

Comment 2 Fedora Update System 2018-08-30 05:54:37 UTC
kea-1.3.0-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3270d9dbf

Comment 3 Fedora Update System 2018-09-07 16:15:08 UTC
kea-1.3.0-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.